Subject: Re: [bug#55606] [PATCH 2/2] gnu: Add hare.

From: "(" <[email-masked]>
Date: Sun, 26 Jun 2022 11:58:43 +0100

On Sun Jun 26, 2022 at 5:40 AM BST, Antero Mejr wrote:
> As for cross-compilation of the guix hare build, I think the
> platform-linux-architecture bit should take care of it, right?

My mistake, I realized that it would work shortly after sending that.

> I'm unsure about this one - maybe the user would want to use harec or
> qbe by themselves to debug a build step?
> I wanted to give the user a full hare build environment when
> they run `guix install hare`, but I understand your logic for wanting to
> patch the paths in.

There are a few compilers where intermediate build programs aren't
included in propagated-inputs:

+ neither ldc nor zig include ld or as (nor the llvm equivalents)
+ neither nim nor ghc include gcc

I think it should be fine.

    -- (